| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
protocol_t Struct Reference

This structure contains protocol-specific function pointers and properties. More...

`#include <isf_protocol_adapter.h>`

Collaboration diagram for protocol_t:

## Data Fields
fnInit_t | fnInit
fnGetState_t | fnGetState
fnGetConfig_t | fnGetConfig
fnConfigure_t | fnConfigure
fnStart_t | fnStart
fnStop_t | fnStop
fnConnectToEndpoint_t | fnGetEndPointAt
fnDisconnectEndpoint_t | fnDisEndPoint
fnAcquireLock_t | fnAcquireLock
fnReleaseLock_t | fnReleaseLock
fnRead_t | fnRead
fnWrite_t | fnWrite

## Detailed Description

This structure contains protocol-specific function pointers and properties.

Definition at line 68 of file isf_protocol_adapter.h.

## Field Documentation

fnAcquireLock_t fnAcquireLock

Lock the channel for exclusive access.

Definition at line 77 of file isf_protocol_adapter.h.

Referenced by dm_channel_acquire_lock().

fnConfigure_t fnConfigure

Reconfigure an already initialized channel.

Definition at line 72 of file isf_protocol_adapter.h.

Referenced by dm_channel_configure(), and dm_channel_init().

fnDisconnectEndpoint_t fnDisEndPoint

Get the handle to a slave device at a known address.

Definition at line 76 of file isf_protocol_adapter.h.

Referenced by dm_device_close().

fnGetConfig_t fnGetConfig

Get the current channel configuration.

Definition at line 71 of file isf_protocol_adapter.h.

Referenced by dm_channel_get_config().

fnConnectToEndpoint_t fnGetEndPointAt

Get the handle to a slave device at a known address.

Definition at line 75 of file isf_protocol_adapter.h.

Referenced by dm_device_open().

fnGetState_t fnGetState

Get the state of a channel.

Definition at line 70 of file isf_protocol_adapter.h.

Referenced by dm_channel_get_state(), and dm_channel_init().

fnInit_t fnInit

Initialize a channel.

Definition at line 69 of file isf_protocol_adapter.h.

Referenced by dm_channel_init().

fnRead_t fnRead

Read from a device.

Definition at line 79 of file isf_protocol_adapter.h.

Referenced by dm_device_readx().

fnReleaseLock_t fnReleaseLock

Release exclusive access.

Definition at line 78 of file isf_protocol_adapter.h.

Referenced by dm_channel_release_lock().

fnStart_t fnStart

Start a channel.

Definition at line 73 of file isf_protocol_adapter.h.

Referenced by dm_channel_start().

fnStop_t fnStop

Stop a channel.

Definition at line 74 of file isf_protocol_adapter.h.

Referenced by dm_channel_stop().

fnWrite_t fnWrite

Write to a device.

Definition at line 80 of file isf_protocol_adapter.h.

Referenced by dm_device_writex().

The documentation for this struct was generated from the following file:

- ISF/ProtocolAdapter/Include/isf_protocol_adapter.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.